Change in osmo-gsm-tester[master]: doc/manuals: integrate into this repository

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

osmith gerrit-no-reply at lists.osmocom.org
Thu Nov 29 14:08:42 UTC 2018


osmith has submitted this change and it was merged. ( https://gerrit.osmocom.org/11997 )

Change subject: doc/manuals: integrate into this repository
......................................................................

doc/manuals: integrate into this repository

Update .gitignore and make the manuals build without a toplevel
configure.ac file from autotools:

$ cd doc/manuals
$ make

Related: OS#3385
Change-Id: I5916bc7e656b508fc74917e79841ce7e1ee4981b
---
M .gitignore
R doc/manuals/Makefile
A doc/manuals/osmo-gsm-manuals-dir.sh
3 files changed, 39 insertions(+), 4 deletions(-)

Approvals:
  Pau Espin Pedrol: Looks good to me, approved
  osmith: Verified



diff --git a/.gitignore b/.gitignore
index a85b41a..47e9f86 100644
--- a/.gitignore
+++ b/.gitignore
@@ -11,3 +11,14 @@
 selftest/trial_test/
 example/resources.conf
 ttcn3/resources.conf
+
+# manuals
+doc/manuals/*.html
+doc/manuals/*.svg
+doc/manuals/*.pdf
+doc/manuals/*__*.png
+doc/manuals/*.check
+doc/manuals/generated/
+doc/manuals/osmomsc-usermanual.xml
+doc/manuals/common
+doc/manuals/build
diff --git a/doc/manuals/Makefile.am b/doc/manuals/Makefile
similarity index 60%
rename from doc/manuals/Makefile.am
rename to doc/manuals/Makefile
index 4301ab9..0730411 100644
--- a/doc/manuals/Makefile.am
+++ b/doc/manuals/Makefile
@@ -1,7 +1,5 @@
-OSMO_GSM_MANUALS_DIR = $(top_srcdir)
-EXTRA_DIST = osmo-gsm-tester-manual.adoc \
-	osmo-gsm-tester-manual-docinfo.xml \
-	chapters
+OSMO_GSM_MANUALS_DIR := $(shell ./osmo-gsm-manuals-dir.sh)
+srcdir=$(CURDIR)
 
 ASCIIDOC = osmo-gsm-tester-manual.adoc
 ASCIIDOC_DEPS = $(srcdir)/chapters/*.adoc
diff --git a/doc/manuals/osmo-gsm-manuals-dir.sh b/doc/manuals/osmo-gsm-manuals-dir.sh
new file mode 100755
index 0000000..f132eaa
--- /dev/null
+++ b/doc/manuals/osmo-gsm-manuals-dir.sh
@@ -0,0 +1,26 @@
+#!/bin/sh -e
+# Find OSMO_GSM_MANUALS_DIR and print it to stdout. Print where it was taken from to stderr.
+
+# Find it in env, pkg-conf and ../../../osmo-gsm-manuals
+RET="$OSMO_GSM_MANUALS_DIR"
+if [ -n "$RET" ]; then
+	RET="$(realpath $RET)"
+	echo "OSMO_GSM_MANUALS_DIR: $RET (from env)" >&2
+else
+	RET="$(pkg-config osmo-gsm-manuals --variable=osmogsmmanualsdir 2>/dev/null || true)"
+	if [ -n "$RET" ]; then
+		echo "OSMO_GSM_MANUALS_DIR: $RET (from pkg-conf)" >&2
+	else
+		RET="$(realpath $(realpath $(dirname $0))/../../../osmo-gsm-manuals)"
+		echo "OSMO_GSM_MANUALS_DIR: $RET (fallback)" >&2
+	fi
+fi
+
+# Print the result or error message
+if [ -d "$RET" ]; then
+	echo "$RET"
+else
+	echo "ERROR: OSMO_GSM_MANUALS_DIR does not exist!" >&2
+	echo "Install osmo-gsm-manuals or set OSMO_GSM_MANUALS_DIR." >&2
+	exit 1
+fi

-- 
To view, visit https://gerrit.osmocom.org/11997
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: osmo-gsm-tester
Gerrit-Branch: master
Gerrit-MessageType: merged
Gerrit-Change-Id: I5916bc7e656b508fc74917e79841ce7e1ee4981b
Gerrit-Change-Number: 11997
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith at sysmocom.de>
Gerrit-Reviewer: Pau Espin Pedrol <pespin at sysmocom.de>
Gerrit-Reviewer: osmith <osmith at sysmocom.de>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20181129/a87518eb/attachment.htm>


More information about the gerrit-log mailing list